Subject: [lojban] Re: Any (was: Nick will be with you shortly)

From: Robin Lee Powell <[email-masked]>
Date: Fri, 28 Feb 2003 10:19:56 -0800

On Fri, Feb 28, 2003 at 02:31:06PM +0100, G. Dyke wrote:
> I'm not sure what this "Any" means. How does Edoctor(x)(need(me,x))
> differ from "I need any doctor"?

That's "There exists a doctor such that I need it". There may be other
constraints unspecified, defining what you need exactly, as I understand
it. All that says is that, whatever your needs, a doctor exists that
fills them.

"I need any doctor" is "I need one thing selected at random from the set
of all doctors".

Hey, that's what we need: a gadri that selects from a set at random.

-Robin

-- 
http://www.digitalkingdom.org/~rlpowell/ *** I'm a *male* Robin.
.i le pamoi velru'e zo'u crepu le plibu taxfu
.i le remoi velru'e zo'u mo .i le cimoi velru'e zo'u ba'e prali .uisai
http://www.lojban.org/ *** to sa'a cu'u lei pibyta'u cridrnoma toi